Bug 1420306 - leveldb: FTBFS in Fedora Rawhide
Summary: leveldb: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED DUPLICATE of bug 1423836
Alias: None
Product: Fedora
Classification: Fedora
Component: leveldb
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 12:16 UTC by gil cattaneo
Modified: 2017-03-02 23:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 23:29:06 UTC
Type: Bug


Attachments (Terms of Use)

Description gil cattaneo 2017-02-08 12:16:54 UTC
Description of problem:
Package leveldb fails to build from source in Fedora Rawhide.

==== Test Harness.RandomizedLongDB
==== Test MemTableTest.Simple
key: 'k1d' -> 'v1'
key: 'k2e' -> 'v2'
key: 'k3f' -> 'v3'
key: 'largekeyg' -> 'vlarge'
==== Test TableTest.ApproximateOffsetOfPlain
==== Test TableTest.ApproximateOffsetOfCompressed
Value 3066 is not in range [2000, 3000]
table/table_test.cc:859: Assertion failure Between(c.ApproximateOffsetOf("k03"), 2000, 3000)
make: *** [Makefile:103: check] Error 1

Version-Release number of selected component (if applicable):
1.18-1.fc26

Steps to Reproduce:
koji build --scratch f26 leveldb-1.18-1.fc26.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/leveldb

Comment 1 Fedora End Of Life 2017-02-28 11:12:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Raphael Groner 2017-03-02 23:29:06 UTC
FTBFS detected in mass rebuild.

*** This bug has been marked as a duplicate of bug 1423836 ***


Note You need to log in before you can comment on or make changes to this bug.